/*
 * Copyright (C) 2014, United States Government, as represented by the
 * Administrator of the National Aeronautics and Space Administration.
 * All rights reserved.
 *
 * The Java Pathfinder core (jpf-core) platform is licensed under the
 * Apache License, Version 2.0 (the "License"); you may not use this file except
 * in compliance with the License. You may obtain a copy of the License at
 * 
 *        http://www.apache.org/licenses/LICENSE-2.0. 
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and 
 * limitations under the License.
 */
package gov.nasa.jpf.test.java.concurrent;

import gov.nasa.jpf.util.test.TestJPF;

import java.util.concurrent.ExecutorService;
import java.util.concurrent.Executors;

import org.junit.Test;

/**
 * basic test for java.util.concurrent.ExecutorService
 * (but it really is a stress test for sun.misc.Unsafe.park() and
 * Thread.interrupt())
 */
public class ExecutorServiceTest extends TestJPF {

  //--- the test methods
  @Test
  public void testShutdown() {
    if (verifyNoPropertyViolation()) {
      ExecutorService pool = Executors.newFixedThreadPool(1);

      pool.execute(new Runnable() {

        @Override
		public void run() {
          System.out.println("run");

        }
      });

      pool.shutdown();
    }
  }
}
